petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCompositeGetLocalAccessArray

Allows one to access the individual packed vectors in their local representation.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetLocalAccessArray(DM dm,Vec pvec,PetscInt nwanted,const PetscInt *wanted,Vec *vecs)

Collective on DMComposite.

### Input Parameters

| dm | - the packer object
| pvec | - packed vector
| nwanted | - number of vectors wanted
| wanted | - sorted array of vectors wanted, or NULL to get all vectors

### Output Parameters

vecs -array of requested local vectors (must be allocated)

### Notes

Use DMCompositeRestoreLocalAccessArray() to return the vectors when you no longer need them.

### See Also

DMCompositeRestoreLocalAccessArray(), DMCompositeGetAccess(),
DMCompositeGetEntries(), DMCompositeScatter(), DMCompositeGather()

### Level

advanced

### Location

src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages